Arch Barra de Refuerzo en forma de L

From FreeCAD Documentation
Revision as of 12:36, 13 May 2018 by Bitacovir (talk | contribs) (Created page with "==Propiedades==")

Arch Rebar LShape

Menu location
Arch → Rebar tools
Workbenches
Arch
Default shortcut
None
See also
Bent Shape Rebar
 
This command is part of the Reinforcement AddOn, that you can install via menu Tools → Addons Manager

Descripción

La herramienta L'Shaped Rebar permite al usuario crear la barra de refuerzo en forma de L en el elemento estructural.

Como utilizar

  1. Crear un elemento structure
  2. Seleccione cualquier cara de la estructura
  3. A continuación, seleccione LShape Rebar desde las herramientas de la barra de refuerzo
  4. Aparecerá un panel de tareas en el lado izquierdo de la pantalla como se muestra a continuación
  5. Seleccione la orientación deseada
  6. Proporcione las entradas como la cubierta frontal, la cubierta lateral izquierda, la cubierta lateral derecha, la cubierta inferior, la cubierta superior, el redondeo y el diámetro de la barra de refuerzo
  7. Seleccione el modo de distribución, ya sea cantidad o espaciado
  8. Si se selecciona el espaciado, un usuario también puede optar por espaciado personalizado
  9. La selección de la cara seleccionada se usa para verificar o cambiar la cara de la distribución de barras de refuerzo
  10. Haga clic en OK o Apply para generar las barras de refuerzo
  11. Haga clic en Cancel para salir del panel de tareas

Propiedades

  • DatosOrientation: It decides the orientation of the rebar (like a bottom, top, right and left).
  • DatosFront Cover: The distance between rebar and selected face.
  • DatosRight Cover: The distance between the right end of the rebar to right face of the structure.
  • DatosLeft Cover: The distance between the left end of the rebar to the left face of the structure.
  • DatosBottom Cover: The distance between rebar from the bottom face of the structure.
  • DatosTop Cover: The distance between rebar from the top face of the structure.
  • DatosRounding: A rounding value to be applied to the corners of the bars, expressed in times the diameter.
  • DatosAmount: The amount of rebars.
  • DatosSpacing: The distance between the axes of each bar.

Scripting

The LShape Rebar tool can by used in macros and from the python console by using the following function:

makeLShapeRebar(FrontCover, BottomCover, LeftCover, RightCover, Diameter, TopCover, Rounding, AmountSpacingCheck, AmountSpacingValue, orientation, Structure, Facename)
  • The LShape Rebar have four different orientations:
    • Bottom Right
    • Bottom Left
    • Top Right
    • Top Left
  • Adds a LShape reinforcing bar object to the given structural object.
  • If no Structure and Facename is given, it will take user selected face as input.
  • Here CoverAlong argument is having type tuple.
  • Returns the new Rebar object.

Example: Creating LShape rebar.

import Arch, LShapeRebar
structure = Arch.makeStructure(length=1000.0, width=1000.0, height=400.0)
structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()
rebar = LShapeRebar.makeLShapeRebar(20, 20, 20, 20, 8, 20, 2, True, 10, "Bottom Left", structure, "Face1")

Changing properties of LShape rebar.

import LShapeRebar
LShapeRebar.editLShapeRebar(50, 50, 20, 20, 8, 20, 2, True, 5, "Top Left")